package industries.doublehelix.conditionalfilter.gui.filtersettings;

import java.awt.GridBagConstraints;

import javax.swing.JLabel;

import industries.doublehelix.conditionalfilter.filtertypes.container.ContainerFilter;

public class ContainerFilterSettingsPanel extends FilterSettingsPanel {
	private static final long serialVersionUID = -6614004532630323774L;
	JLabel lblText = new JLabel("of the following are true:");
	
	public ContainerFilterSettingsPanel(ContainerFilter filter, int preferredContentHeight) {
		super(filter, preferredContentHeight);
		GridBagConstraints c = new GridBagConstraints();
		//c.anchor = GridBagConstraints.WEST;
		c.fill = GridBagConstraints.HORIZONTAL;
		c.weightx = 1.0;
		this.add(lblText, c);
	}

}
